Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Interface RowSet

All Known Subinterfaces:
  ViewObject

All Known Implementing Classes:
  ViewRowSetImpl

public interface RowSet
extends RowSetIterator, Properties, XMLInterface

Defines the middle-tier representation of a set of table rows.

A row set is scrollable range of rows, of which one may be designated as the current row.

Since:
  JDeveloper 3.0

Fields inherited from interface oracle.jbo.XMLInterface
`XML_OPT_ALL_ROWS, XML_OPT_ASSOC_CONSISTENT, XML_OPT_CHANGES_ONLY, XML_OPT_LIMIT_RANGE`

Fields inherited from interface oracle.jbo.RowIterator
`SLOT_BEFORE_FIRST, SLOT_BEYOND_LAST, SLOT_DELETED, SLOT_VALID`

Method Summary
`RowSetIterator` | `createRowSetIterator(java.lang.String name)` Creates an iterator for the row set.
`void` | `executeQuery()` Executes the View Object's query.
`ApplicationModule` | `getApplicationModule()` Gets the row set's Application Module.
`long` | `getEstimatedRowCount()` Counts the number of rows in the collection defined by the View Object's query.
`RowSetIterator[]` | `getMasterRowSetIterators()` Return all controlling masters of this row set.
`java.lang.String` | `getName()` Gets the row set's name.
`ViewObject` | `getViewObject()` Gets the View Object that contains the row set.
`java.lang.Object[]` | `getWhereClauseParams()` Gets the bind-variable values to be used with the View Object's query condition.
`boolean` | `isAssociationConsistent()` Tests if association-consistent mode is on.
`boolean` | `isExecuted()` Returns true if the current ViewObject's query has been executed for this RowSet.
`boolean` | `isForwardOnly()` Tests if the row set set is constrained to sequential access.
`boolean` | `removeMasterRowSetIterator(RowSetIterator masterRSI)` Removes a master row set iterator.
`void` | `setAssociationConsistent(boolean consistent)` Sets the association-consistent flag for this row set.
`void` | `setForwardOnly(boolean forwardOnly)` Constrains the row set to sequential access.
`boolean` | `setMasterRowSetIterator(RowSetIterator masterRSI)` Sets the master iterator.
`void` | `setWhereClauseParam(int index, java.lang.Object value)` Specifies a single bind-variable value to use with the View Object's query condition, and executes the query.
`void` | `setWhereClauseParams(java.lang.Object[] values)` Specifies the bind-variable values to use with the View Object's query condition, and executes the query.

Methods inherited from interface oracle.jbo.RowSetIterator
`addListener, createDetailRowSet, getDetailRowSets, getRowSet, removeListener`

Methods inherited from interface oracle.jbo.Properties
`getProperties, getProperty, refreshProperty`

Methods inherited from interface oracle.jbo.XMLInterface
`readXML, readXML, writeXML, writeXML`

Methods inherited from interface oracle.jbo.RowIterator
`createKey, createRow, enumerateRowsInRange, findByEntity, findByKey, first, getAllRowsInRange, getCurrentRow, getCurrentRowIndex, getCurrentRowSlot, getFetchedRowCount, getRangeIndexOf, getRangeSize, getRangeStart, getRow, getRowAtRangeIndex, getRowCount, getRowCountInRange, hasNext, hasPrevious, insertRow, insertRowAtRangeIndex, isRangeAtBottom, isRangeAtTop, last, next, previous, removeCurrentRow, reset, scrollRange, scrollRangeTo, setCurrentRow, setCurrentRowAtRangeIndex, setRangeSize, setRangeStart, setRowValidation`

Method Detail

### getName

    public java.lang.String getName()

  Gets the row set's name.
  Specified by:
    getName in interface RowSetIterator
  Returns:
    the name of the `RowSet`.

### setMasterRowSetIterator

    public boolean setMasterRowSetIterator(RowSetIterator masterRSI)

  Sets the master iterator.
  Parameters:
    `masterRSI` - a master row set iterator.
  Returns:
    `true` if the operation succeeded.

### getViewObject

    public ViewObject getViewObject()

  Gets the View Object that contains the row set.
  Returns:
    a `ViewObject`.

### setWhereClauseParams

    public void setWhereClauseParams(java.lang.Object[] values)

  Specifies the bind-variable values to use with the View Object's query condition, and executes the query.
  Parameters:
    `values` - an array of values to use in the condition, in the order they are presented.
  Returns:
    `true` if the operation succeeded.

### setWhereClauseParam

    public void setWhereClauseParam(int index,
                                    java.lang.Object value)

  Specifies a single bind-variable value to use with the View Object's query condition, and executes the query.
  Parameters:
    `index` - the index of the attribute to be associated with `value`.
    `value` - a bind-variable value.
  Returns:
    `true` if the operation succeeded.

### getWhereClauseParams

    public java.lang.Object[] getWhereClauseParams()

  Gets the bind-variable values to be used with the View Object's query condition.
  Returns:
    an array of bind-variable values.

### executeQuery

    public void executeQuery()

  Executes the View Object's query.

### isExecuted

    public boolean isExecuted()

  Returns true if the current ViewObject's query has been executed for this RowSet.

### createRowSetIterator

    public RowSetIterator createRowSetIterator(java.lang.String name)

  Creates an iterator for the row set.
  Parameters:
    `name` - the name to be given to the iterator.
  Returns:
    an iterator for `this`.

### removeMasterRowSetIterator

    public boolean removeMasterRowSetIterator(RowSetIterator masterRSI)

  Removes a master row set iterator.
  Parameters:
    `masterRS` - the iterator to be removed.
  Returns:
    `true` if `masterRS` was found, `false` otherwise.

### getMasterRowSetIterators

    public RowSetIterator[] getMasterRowSetIterators()

  Return all controlling masters of this row set.
  Returns:
    An array of master iterators.

### getApplicationModule

    public ApplicationModule getApplicationModule()

  Gets the row set's Application Module.
  Returns:
    the `ApplicationModule` to which `this` belongs.

### getEstimatedRowCount

    public long getEstimatedRowCount()

  Counts the number of rows in the collection defined by the View Object's query.

  This number may fluxuate when the View Object is syncronized with its Entity Object.

  Returns:
    the number of rows.

### isForwardOnly

    public boolean isForwardOnly()

  Tests if the row set set is constrained to sequential access.
  Returns:
    `true` if the row set is restricted to forward-only processing.
  See Also:
    `setForwardOnly(boolean)`

### setForwardOnly

    public void setForwardOnly(boolean forwardOnly)

  Constrains the row set to sequential access.

  When set to `true`, a row preceeding the current row cannot be designated as the new current row. This restriction allows performance to be optimized.

  Parameters:
    `forwardOnly` - `true` restricts the row set to forward-only processing, `false` otherwise.

### setAssociationConsistent

    public void setAssociationConsistent(boolean consistent)

  Sets the association-consistent flag for this row set.

  Association-consistent mode allows the user to see data that includes changes not yet posted to database, but at the cost of degraded performance.

  When association-consistency is on the row set will reflect rows with modified foreign keys, newly created rows, and removed (deleted) rows. When association-consistency is off the user must post pending changes to database to make them visible.

  This method is relevant only if this row set was one returned from a call to an entity association accessor.

  Parameters:
    `isConsistent` - indicates whether association-consistency should be on or not.

### isAssociationConsistent

    public boolean isAssociationConsistent()

  Tests if association-consistent mode is on.
  Returns:
    `true` if un-posted changes are visible, `false` otherwise.
  See Also:
    `setAssociationConsistent(boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD